body {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #010101;
    font-family: Arial, sans-serif;
    background-size: cover;
    background-position: center;
    background-image: url("background.png");
}

.card {
    background: rgb(14 14 14 / 60%);
    border-radius: 20px;
    padding: 30px;
    width: 100%;
    max-width: 400px;
    height: auto;
    text-align: center;
    color: white;
    backdrop-filter: blur(15px);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    border: 2px solid rgba(255, 255, 255, 0.1);
}

.profile {
    margin-bottom: 60px;
    text-align: center;
}

.profile-image {
    width: 120px;
    height: 120px;
    border-radius: 50%;
    border: 2px solid rgb(65 64 64 / 30%);
    transition: transform 0.3s ease; /* Плавный переход для изменения размера */
}

.profile-image:hover {
    transform: scale(1.1); /* Увеличение на 10% при наведении */
}

h1 {
    margin: 10px 0;
    font-size: 24px;
    font-weight: bold;
}

.header-name {
    display: flex;
    align-items: center;
    margin: 10px 0;
    font-size: 24px;
    font-weight: bold;
    justify-content: center;
    transition: transform 0.3s ease;
}

.header-name:hover {
    transform: scale(1.1); /* Увеличение на 10% при наведении */
}

.verified-icon {
    margin-left: 10px;
    width: 18px;
    height: 18px;
    vertical-align: middle;
}

.tech-icons {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    gap: 12px;
    border-bottom: 2px solid rgba(255, 255, 255, 0.2);
    padding-bottom: 15px;
    transition: transform 0.3s ease;
}

.tech-icon {
    display: inline-block;
    position: relative;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.tech-icon img {
    width: 28px;
    height: 28px;
    opacity: 0.5;
    transition: opacity 0.3s ease;
    transition: transform 0.3s ease;
}

.tech-icon:hover img {
    opacity: 1;
    transform: scale(1.2);
}

.tech-icon::after {
    content: attr(title);
    position: absolute;
    bottom: -30px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 14px;
    color: white;
    background-color: rgba(0, 0, 0, 0.7);
    padding: 3px 5px;
    border-radius: 5px;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.tech-icon:hover::after {
    opacity: 1;
}

.tech-icon:hover img {
    opacity: 1;
    transition: opacity 0.3s ease;
    transform: scale(1.2);
}

.contact-info {
    display: flex;
    flex-direction: column;
    gap: 15px;
    width: 100%;
}

.contact-link {
    text-decoration: none;
}

.contact-item {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgb(170 169 169 / 20%);
    padding: 15px;
    border-radius: 10px;
    transition: transform 0.3s, box-shadow 0.3s;
    cursor: pointer;
    font-size: 18px;
    color: white;
}

.contact-item:hover {
    transform: scale(1.05);
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.4);
}

.icon {
    width: 30px;
    height: 30px;
    margin-right: 10px;
}

.contact-item span {
    flex: 1;
    text-align: center;
    margin-right: 24px;
}

#icon {
    margin-left: 20px;
}

@media (max-width: 600px) {
    .card {
        width: 85%;
        height: auto;
        padding: 20px;
    }

    .tech-icon img {
        width: 24px;
        height: 24px;
    }

    h1 {
        font-size: 18px;
    }

    .contact-item {
        font-size: 16px;
    }

    .icon {
        width: 24px;
        height: 24px;
    }
}

#loading-screen {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.411);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    backdrop-filter: blur(30px);
}

.loader {
    height: 15px;
    aspect-ratio: 4;
    --_g: no-repeat radial-gradient(farthest-side,#fefefe 90%,#ffffff00);
    background: 
      var(--_g) left, 
      var(--_g) right;
    background-size: 25% 100%;
    display: grid;
  }
  .loader:before,
  .loader:after {
    content: "";
    height: inherit;
    aspect-ratio: 1;
    grid-area: 1/1;
    margin: auto;
    border-radius: 50%;
    transform-origin: -100% 50%;
    background: #edeced;
    animation: l49 1s infinite linear;
  }
  .loader:after {
    transform-origin: 200% 50%;
    --s:-1;
    animation-delay: -.5s;
  }
  
  @keyframes l49 {
    58%,
    100% {transform: rotate(calc(var(--s,1)*1turn))}
  }
  .reveal {
    opacity: 0;
    transform: translateY(40px);
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
    
  }
  
  .reveal.reveal-active {
    opacity: 1;
    transform: none;
  }